| XMP Toolkit SDK 6.0.0

Static Public Member Functions | Protected Member Functions | List of all members
AdobeXMPCore::ICoreConfigurationManager_v1 Class Reference

Version1 of the interface that represents configuration settings controllable by the client. More...

`#include <ICoreConfigurationManager.h>`

Inheritance diagram for AdobeXMPCore::ICoreConfigurationManager_v1:

## Static Public Member Functions
static XMP_PRIVATE spICoreConfigurationManager | GetCoreConfigurationManager ()
| Get the configuration manager object associated with XMPCore library.. More...

## Protected Member Functions
virtual | ~ICoreConfigurationManager_v1 () __NOTHROW__
Protected Member Functions inherited from AdobeXMPCommon::IConfigurationManager_v1
| REQ_FRIEND_CLASS_DECLARATION ()
Protected Member Functions inherited from AdobeXMPCommon::ISharedObject
virtual | ~ISharedObject () __NOTHROW__=0
| REQ_FRIEND_CLASS_DECLARATION ()
Protected Member Functions inherited from AdobeXMPCommon::IVersionable
virtual | ~IVersionable ()
| REQ_FRIEND_CLASS_DECLARATION ()

## Additional Inherited Members
Public Member Functions inherited from AdobeXMPCommon::IConfigurationManager_v1
virtual bool APICALL | RegisterMemoryAllocator (pIMemoryAllocator memoryAllocator)=0
| Allows the client to plug in its own memory allocation procedures which will be used to allocate/deallocate memory from the heap. More...
virtual bool APICALL | RegisterErrorNotifier (pIErrorNotifier_base clientErrorNotifier)=0
| Allows the client to plug in its own error notification procedures which will be used to inform client about various warnings and errors. More...
virtual bool APICALL | DisableMultiThreading ()=0
| Allows the client to disable the support for multi threading inside the library. By default library supports multi-threading. More...
virtual bool APICALL | IsMultiThreaded () const =0
| Returns whether library supports multi threading or not. More...
virtual | ~IConfigurationManager_v1 () __NOTHROW__
Public Member Functions inherited from AdobeXMPCommon::ISharedObject
virtual void APICALL | Acquire () const __NOTHROW__=0
| Called by the clients of the object to indicate that he has acquired the shared ownership of the object. More...
virtual void APICALL | Release () const __NOTHROW__=0
| Called by the clients of the object to indicate he has released his shared ownership of the object. If this being the last client than this function should call Destroy to delete and release the memory. More...
Public Member Functions inherited from AdobeXMPCommon::IVersionable
template<typename requestedInterface >
XMP_PRIVATE requestedInterface * | GetInterfacePointer ()
| Get the raw pointer to an interface object implementing the requested version. More...
template<typename requestedInterface >
const XMP_PRIVATE requestedInterface * | GetInterfacePointer () const
| Get the raw pointer to a const interface object implementing the requested version. More...

## Detailed Description

Version1 of the interface that represents configuration settings controllable by the client.

Provides functions through which client can plug in its own memory allocators, error notifiers.

Attention
  Not Thread Safe as this functionality is generally used at the initialization phase.

Definition at line 24 of file ICoreConfigurationManager.h.

## Constructor & Destructor Documentation

## ◆ ~ICoreConfigurationManager_v1()

virtual AdobeXMPCore::ICoreConfigurationManager_v1::~ICoreConfigurationManager_v1 | ( |  | ) |
| inline protected virtual

Destructor

Definition at line 96 of file ICoreConfigurationManager.h.

96 {}

## Member Function Documentation

## ◆ GetCoreConfigurationManager()

static XMP_PRIVATE spICoreConfigurationManager AdobeXMPCore::ICoreConfigurationManager_v1::GetCoreConfigurationManager | ( |  | ) |
| static

Get the configuration manager object associated with XMPCore library..

Returns
  A shared pointer to an object of #ICoreConfigurationManager.

The documentation for this class was generated from the following file:

- public/include/XMPCore/Interfaces/ICoreConfigurationManager.h